
#########################
# TSM Dev/QA services
#########################

define service {
	service_description		snmp_unixtest_alive
	use                             UNIX Production service
	hostgroup_name			TSM Dev/QA
	max_check_attempts		3
	retry_check_interval		2
	check_command			check_snmp_alive
	contacts			Igor V. Gubenko
}


define service {
	service_description		nrpe_unixtest_active_mem
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_active_mem!90!95
	contacts			ESS Storage
}


define service {
	service_description             nrpe_unixtest_agent_status
	use                             UNIX Production service
	hostgroup_name			TSM Dev/QA
	max_check_attempts              3
	retry_check_interval		1
	check_command                   check_nrpe_agent
	contacts			ESS Storage
}


define service {
	service_description             nrpe_unixtest_cpu_system
	use                             UNIX Production service
	hostgroup_name			TSM Dev/QA
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu_system!70:80!50:70
	contacts			ESS Storage
}


define service {
	service_description             nrpe_unixtest_cpu_user
	use                             UNIX Production service
	hostgroup_name			TSM Dev/QA
	max_check_attempts              6
	normal_check_interval           10
	retry_check_interval            10
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_cpu_user!85:90
	contacts			ESS Storage
}


define service {
	service_description		nrpe_unixtest_disk_system
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
action_url           /graphs/cgi-bin/label_graph.cgi?host=$HOSTNAME$&service=nrpe_unixtest_disk_system
	check_command			check_nrpe_disk_by_class!system
	contacts			ESS Storage
}


define service {
	service_description		snmp_unixtest_disk_system
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
	check_command			check_snmp_disk!^/(|boot|tmp|usr(|/local)|var(|/local)|home)$!85!90
	contacts			nagiosadmin
	contact_groups			null
}


define service {
	service_description             nrpe_unixtest_load
	use                             UNIX Production service
	hostgroup_name			TSM Dev/QA
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command                   check_nrpe_load!2,2.3,2.7!4,4.5,5!" -r "
	contacts			ESS Storage
}


define service {
	service_description		nrpe_unixtest_lxfiles6
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
	check_command			check_nrpe_unix_lxfiles!-c!/etc/fstab,/etc/group,/etc/hosts,/etc/hosts.allow,/etc/passwd,/etc/rsyslog.conf
	contacts			ESS UNIX List
}


define service {
	service_description		nrpe_unixtest_mounts
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
	notification_options		c,r
	check_command			check_nrpe_mounts
	contacts			ESS Storage
}


# dsmserv check
#define service {
#	service_description		nrpe_unixtest_proc_dsmserv
#	use				UNIX Production service
#	hostgroup_name			TSM Dev/QA
#	check_command			check_nrpe_proclist!dsmserv
#	contacts			ESS Storage
#}


define service {
	service_description             nrpe_unixtest_proc_tripwire
	use                             UNIX Production service
	hostgroup_name			TSM Dev/QA
	check_command			check_nrpe_process!5!1:! -a tripwire
}


# No tsm check
define service {
	service_description		nrpe_unixtest_proclist_linux6
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
	check_command			check_nrpe_proclist!crond,nscd,ntpd,sendmail,snmpd,sshd,rsyslogd,xinetd,ypbind
	contacts			ESS Storage
}


define service {
	service_description		nrpe_unixtest_swap
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_swap!20!10
	contacts			ESS Storage
}


define service {
	service_description		snmp_linux_mem
	use				UNIX Production service
	hostgroup_name			TSM Dev/QA
	check_command			check_snmp_nix_memory!95,85!98,90
	notification_options		c,r
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	contact_groups			null
	contacts			nagiosadmin
}


